Skip to main content
PUT
/
api
/
workflows
/
{id}
/
draft
Save workflow draft
curl --request PUT \
  --url https://api.agentixx.io/api/workflows/{id}/draft \
  --header 'Content-Type: application/json' \
  --header 'x-tenant-id: <api-key>' \
  --cookie better-auth.session_token= \
  --data '
{
  "draftGraph": {
    "nodes": [
      {
        "id": "trigger_1",
        "type": "trigger.inbound_message",
        "position": {
          "x": 400,
          "y": 100
        }
      }
    ],
    "edges": [],
    "entry": "trigger_1"
  }
}
'
{
  "ok": true,
  "updatedAt": "<string>"
}

Authorizations

better-auth.session_token
string
cookie
required

Session cookie set by Better Auth on sign-in.

x-tenant-id
string
header
required

Tenant/workspace UUID. Required on all /api/* endpoints.

Path Parameters

id
string<uuid>
required

Body

application/json

Save workflow draft graph

draftGraph
object
required

Response

Draft saved

ok
boolean
required
updatedAt
string
required